--- title: "Get Scanning Exception details on a Sensor" slug: "get-scanning-exception-details-on-a-sensor-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-scanning-exception-details-on-a-sensor-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Scanning Exception details on a Sensor This URL gets the scanning exception on a Sensor. ### Resource URL GET /sensor//scanningexception ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor Id | Number | Yes | Payload Parameters: | Field Name | Description | Data Type | | --- | --- | --- | | `ScanningExceptionResponseElement` | Object that contains the details of the field to be sent | Object | Details of fields in ScanningExceptionResponseElement: | Field Name | Description | Data Type | | --- | --- | --- | | `tcpRules` | Object containing TCP rule settings | Object | | `udpRules` | Object containing UDP rule settings | Object | | `vlanRules` | Object containing VLAN rule settings | Object | Details of fields in tcpRules: | Field Name | Description | Data Type | | --- | --- | --- | | `tcpPortRangeList` | List of objects containing TCP port range setting | Object | Details of object in tcpPortRangeList: | Field Name | Description | Data Type | | --- | --- | --- | | `tcpPortRange` | TCP port range in format "from-to" | String | Details of fields in udpRules: | Field Name | Description | Data Type | | --- | --- | --- | | `udpPortRangeList` | List of objects containing UDP port range setting | Object | Details of object in udpPortRangeList: | Field Name | Description | Data Type | | --- | --- | --- | | `udpPortRange` | UDP port range in format "from-to" | String | Details of fields in vlanRules: | Field Name | Description | Data Type | | --- | --- | --- | | `vlanIdRangeList` | List of objects containing UDP port range setting | Object | Details of object in vlanIdRangeList: | Field Name | Description | Data Type | | --- | --- | --- | | `vlanIdRange` | Vlan Id range in format "from-to" | String | | `portPairName` | Name of the port pair | String | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful, -1 otherwise | Number | ### Example **Request** GET [https:///sdkapi/sensor//scanningexception](https://<NSM_IP>/sdkapi/sensor/<sensor_id>/scanningexception) **Payload** ``` { "tcpRules": { "tcpPortRangeList": [ { "tcpPortRange": "100-100" }, { "tcpPortRange": "103-110" } ] }, "udpRules": { "udpPortRangeList": [ { "udpPortRange": "10-10" } ] }, "vlanRules": { "vlanIdRangeList": [ { "vlanIdRange": "15-20", "portPairName": "1A-1B" } ] } } ``` **Response** ``` {       "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 1501 | Scanning exception is not supported for the specified Sensor | | 2 | 400 | 1106 | Invalid Sensor |